Subject: RE: [ACL] REPORT vs SEARCH

From: "Clemm, Geoff" <[email-masked]>
Date: Fri, 5 Oct 2001 13:48:15 -0400

I agree with Julian that a special kind of REPORT
(e.g. DAV:basic-search) makes more sense than introducing
a SEARCH method.

Cheers,
Geoff

-----Original Message-----
From: Julian Reschke [mailto:[email-masked]]
Sent: Friday, October 05, 2001 1:39 PM
To: Jim Whitehead; [email-masked]; WebDAV Working Group
Subject: RE: [ACL] REPORT vs SEARCH

> From: [email-masked] [mailto:[email-masked]]On Behalf Of Jim
> Whitehead
> Sent: Friday, October 05, 2001 7:26 PM
> To: [email-masked]; WebDAV Working Group
> Subject: RE: [ACL] REPORT vs SEARCH
>
>
> Julian Reschke writes:
> ...
>
> In my view, each of these methods has its niche, and each has value.  As a
> result, I favor:
>
> a) continued development on the DASL specification. Lisa Dusseault has
> volunteered to edit this specification, and I'm expecting a new draft from
> her in the near future.
>
> b) the addition of specialized REPORTs into protocol specifications, as
> needed.
>
> > Proposal: drop work on DASL.
>
> I think this is a bad idea.  A general purpose search mechanism
> is necessary
> to unlock the value of properties.

Yes, that is why I proposed to make DAV:basicsearch a REPORT.

>  Instead define an (extensible) equivalent of
> > DAV:basicseach, with the following additional features:
> >
> > - discovery of searchable properties
> > - discovery of supported constructs in the grammar
> > - better signaling of execution errors (non-searchable properties, not
> > recognized grammar constructs)
> > - definition of a mandatory subset of query grammar features
> >
> > Publish this as separate RFC, or possibly move it into RFC2518++.
>
> These look like a useful set of requirements for DASL.

I think you partly missed my point.

Both REPORT and SEARCH define frameworks for pluggable query grammars /
reports. I really can't see where the distinction between reports and
searches you made is reflected in the specs.

However, the framework for REPORT is already there (almost in RFC form), and
I think it's technically superior (regarding discovery of query grammars /
reports). So my proposal is to drop the DASL *framework* and re-use the one
used in REPORT, and to update / modify DAV:basicsearch to become a report.
By dropping the requirement to define a framework for SEARCH, we save a lot
of time that can be invested much better on the actual DAV:basicsearch
grammar.

If you disagree, I'd like to understand why we need the SEARCH framework
when we already have REPORT.

Regards, Julian

_______________________________________________
acl mailing list
[email-masked]
http://mailman.webdav.org/mailman/listinfo/acl